//Barrett M82A1M Anti-Material Rifle v.1.1 by Scanger (A.K.A. MACK)
// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class SniperRiffle
	{
		units[] = {""};
		weapons[] = {SniperRiffle};
		requiredVersion = 1.40;
	};
};

class CfgAmmo
{
	class Default {};
	class BulletSingle: Default{};
	class JMGBarrettM82: BulletSingle
	{
		hit= 50;
		indirectHit= 1;
		indirectHitRange= 0.40000;
		minRange=0.5;
		minRangeProbab=0.800000;
		midRange=900;
		midRangeProbab=0.350000;
		maxRange=1800;
		maxRangeProbab=0.080000;
		visibleFire= 16;
		audibleFire= 16;
		visibleFireTime= 10;
		cost = 2;

	};
};

class CfgWeapons
{
	class Default {};
	class MGun: Default {};
	class Riffle: Mgun {};
	class SniperRiffle : Riffle {};
	class JMGBarrettM82 : SniperRiffle

	{
		//--
		scopeWeapon = public;
		scopeMagazine = public;
		weaponType=WeaponSlotPrimary;
		model="\JMGBarrettm82\JMGBarrettM82.p3d";
		picture="\JMGBarrettm82\Data\m82.pac";
		optics = true;
		modelOptics = "\JMGBarrettm82\Scope\Scope.p3d";
		drySound[]={"weapons\m16dry",db-70,1};
		reloadMagazineSound[]={"weapons\m16load",db-70,1};
		sound[]={\JMGBarrettm82\sound\bang.wav,1,1};
		count=10;
		ammo = JMGBarrettM82;
		opticsZoomMin=0.04;
		opticsZoomMax=0.12;
		distanceZoomMin=400;
		distanceZoomMax=80;
		displayName = JMG Barrett M82A1;
		displayNameMagazine = JMG Barrett M82;
		shortNameMagazine = M82;
		magazines[]={"JMGBarrettM82Mag"};
		dispersion=0.00003;
		soundContinuous=false;
		reloadTime=0.3;
		recoil=JMGBarrettm82;
		opticsFlare = true;

		aiRateOfFire=5.0; // delay between shots at given distance
		aiRateOfFireDistance=1500; // at shorter distance delay goes lineary to zero
		maxLeadSpeed=90; // max estimated speed km/h
		threat[]={1,0.5,0.1};
		enableAttack=1;
		
		useAction=0;
		useActionTitle="";
	};

		class JMGBarrettM82Mag: JMGBarrettM82
	{
		scopeWeapon=0;
		scopeMagazine=2;
		displayNameMagazine="JMG Barrett M82 Magazine";
		shortNameMagazine="M82";
		picture="\JMGBarrettm82\Data\m82mag.pac";
	};
};
	class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierWSniper:Soldier{};
	class JMGM82Sniper:SoldierWSniper{
	displayName = "JMG Barrett M82 Sniper";
	weapons[]={"JMGBarrettM82","NVGoggles","Binocular","Throw","Put","StrokeGun","StrokeFist"};
	magazines[]={JMGBarrettM82Mag,JMGBarrettM82Mag,JMGBarrettM82Mag,JMGBarrettM82Mag};
	};
};
class CfgRecoils
{
	JMGBarrettM82[]= {0.04, 0.005,0.230, 0.250,0,0};
//recoiltime, tophalf movement, upswing, time to return from upswing,
//JMGBarrettM82[]= {0.04, 0.015,0.030, 0.040,0,0};

};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyJMGBarrettM82: ProxyWeapon {};
};

